#include "udpsock.h"
#include <unistd.h>
#include <netinet/in.h>
#include <stdio.h>
#include <sys/types.h>

int createUDPsocket();
{
   int sock;
   struct sockaddr_in addr_local;
   int in_addr_len;
   
   sock = socket(AF_INET, SOCK_DGRAM, 0);
   
   addr_local.sin_family = AF_INET;
   addr_local.sin_addr.s_addr = htonl(INADDR_ANY);
   addr_local.sin_port = htons(0);
   
   if(bind(sock, (struct sockaddr *) &addr_local, sizeof(addr_local)) < 0)
     {
	perror("bind");
	fprintf(stderr, "Cannot bind socket to address %s port 0\n", 
		inet_ntoa(addr_local.sin_addr));
	exit(1);
     }
/*
 * else
 *    {
 *	struct sockaddr name; 
 *	int namelen=sizeof(name);
 *	
 *	getsockname(sock, &name, &namelen);
 *	memcpy((char *)&addr_local,(char *)&name, namelen);
 *    }
 */
   return sock;
}
